<?php 
/** 
* Magento Module implementing MojeID 
* 
* NOTICE OF LICENSE 
* 
* This source file is subject to the Open Software License (OSL 3.0) 
* that is bundled with this package in the file LICENSE.txt. 
* It is also available through the world-wide-web at this URL: 
* http://opensource.org/licenses/osl-3.0.php 
* 
* 
*/ 

/** 
* Exports model - source for dropdown menu "Product group size"
* 
* @category Cznic 
* @package Cznic_Mojeid
* 
*/

class Cznic_Mojeid_Model_Config_Source_Supportimage
{
    public function toOptionArray()
    {
        $options = array();
        foreach(scandir(Mage::helper('mojeid')->getSupportImagesDir()) as $file){
          if ($file == '.' || $file == '..')
              continue;
          $options[] = array(
            'value' => $file,
            'label' => preg_replace('~\.[^.]*$~','',$file)//'<img src="'.Mage::helper('mojeid')->getSupportImagesUrl().'/'.$file.'" />'
          );          
        } 
        return $options;
    }
}
?>